<?

if (!$_GET['id_partie']) {
	
		echo "Veuillez préciser le paramètre id_partie... <br>";
		exit;
}

// le webmaster ne doit pas oublier de préciser en GET l'id_partie

$file = "backup_" . $_GET['id_partie'] . ".txt";

$fichier=fopen("parties/tmp/".$file, 'w');

// enregistrement du HIDDEN $_POST['fichier_partie'] dans le fichier temporaire du serveur
	
$contenu_fichier = $_POST['fichier_partie'];
	
fwrite($fichier,$contenu_fichier);
fclose ($fichier);	

// on initialise le fichier d'enregistrement sur le disque dur 
// à partir des infos du fichier temporaire
// puis on fabrique ses entêtes...

$taille=filesize("parties/tmp/{$file}");
header("Content-Type: application/force-download; name=\"$file\"");
header("Content-Transfer-Encoding: binary");
header("Content-Length: $taille");
header("Content-Disposition: attachment; filename=\"$file\"");
header("Expires: 0");
header("Cache-Control: no-cache, must-revalidate");
header("Pragma: no-cache");

// on lui met le contenu du fichier temporaire

readfile("parties/tmp/{$file}");

@unlink("parties/tmp/{$file}"); 

// et enfin, on supprime le fichier temporaire du serveur

exit();
?>